package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.WmMemberCardConfigDTO;
import com.gic.enterprise.dto.WmOrderConfigDTO;
import com.gic.enterprise.dto.WmStoreDTO;
import com.gic.enterprise.dto.wm.WmStoreConfigDTO;

import java.util.List;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:47 AM 
 */
public interface WmStoreApiService {

    /**
     * 新增
     * @Title: saveWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 修改
     * @Title: modifyWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> modifyWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 微盟商城店铺授权
     * @Title: authWmStore 
     * @Description:
     * @author guojuxing
     * @param wmMallStoreId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 店铺名称
     */
    ServiceResponse<String> authWmStore(Integer wmMallStoreId);

    ServiceResponse<List<WmStoreDTO>> listWmStore(Integer enterpriseId);

    ServiceResponse<WmStoreDTO> getWmStoreByWmMallStoreId(Integer wmMallStoreId);

    /**
     * 店铺配置
     * @Title: saveOrUpdateWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveOrUpdateWmStoreConfig(WmStoreConfigDTO dto);

    /**
     * 根据微盟主账号查询配置
     * @Title: getWmStoreConfigByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @param wmStoreConfigType 店铺配置类型 1:会员卡配置 2:卡券配置 3:订单配置 4:积分配置 5:商品同步记录 6:小程序配置 WmStoreConfigTypeEnum枚举类
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.wm.WmStoreConfigDTO> 
     */
    ServiceResponse<WmStoreConfigDTO> getWmStoreConfigByWmMainAccount(String wmMainAccount, Integer wmStoreConfigType);
}
